# SDPAudioMediaDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPAudioMediaDescription:

List of all members.

## Public Member Functions

| SDPAudioMediaDescription (const OpalTransportAddress &address)
virtual PString | GetSDPMediaType () const
virtual bool | PrintOn (ostream &str, const PString &connectString) const
void | SetAttribute (const PString &attr, const PString &value)

## Constructor & Destructor Documentation

SDPAudioMediaDescription::SDPAudioMediaDescription | ( | const OpalTransportAddress & | address | ) |

## Member Function Documentation

virtual PString SDPAudioMediaDescription::GetSDPMediaType | ( |  | ) | const`[virtual]`

Implements SDPMediaDescription.

virtual bool SDPAudioMediaDescription::PrintOn | ( | ostream & | str,
|  | const PString & | connectString |
| ) |  |  | const`[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

void SDPAudioMediaDescription::SetAttribute | ( | const PString & | attr,
|  | const PString & | value |
| ) |  |  | `[virtual]`

Reimplemented from SDPRTPAVPMediaDescription.

The documentation for this class was generated from the following file:

- sdp.h